;====================================
;	  TRACK DESCRIPTION
;====================================

StadVolt is my first successful attempt at 3D modeling and UV mapping.
The track's goal is to give a try at the most RVGL features possible for a future project idea.
The racing line is rather easy to navigate through, except for some hazards along the way.

Reversed Mode, Practice Star and Challenge Time available. Track tested with RVGL 20.0930a

Thanks to javildesign for his valuable help throughout the development of the track and his constructive feedback.
Thanks also to the Re-Volt Community at large, full of passionate and talented people.

February-September 2020, made by L17.


;====================================
;	    SOFTWARE USED
;====================================

3D Modeling: Blender 2.79b
2D Textures: GIMP 2 (original textures from textures.com)
Marv's Blender 2.79 Plug-in for Re-Volt
Jigebren's WorldCut


;====================================
;   3D MODELS AND 2D TEXTURES USED
;====================================

Original skybox: School's Out!(R) by Kiwi
Paved floor texture / Grass texture: Spa-Volt 2 by Kiwi
Umbrella mesh: Isola Verde by Crescviper

Dropwater effect taken from Spa-Volt 2 by Kiwi

DISCLAIMER: You can reuse any of the 3D models for your own purposes but don't forget to mention the original author


;====================================
;	    SOUND EFFECTS
;====================================

Drone and Crashed car's air leak: re-used and adjusted Re-Volt sound effects
Distant thunder SFX by Mike Koenig
City ambience, Cement mixer and bird take-off sounds taken from bigsoundbank.com, a free and royalty-free sounds library


;====================================
;	      CHANGELOG
;====================================

UPDATED ON 08/11/2024
---------------------

• World and Collision Files

+ New tree and bush models
+ New brick texture and other texture adjustments
+ Shading improved where most needed

• In-Game Editor

+ Red X at the car park in reversed mode fixed
+ Digger pool reposition trigger allows to fall on the left side of the plank


UPDATED ON 06/17/2022
---------------------

• World and Collision Files

+ Mistextured or detached tree trunk parts fixed
+ Textures with Dutch text translated back to English
+ Small out of bounds holes in the mesh fixed

• In-Game Editor

+ Pos nodes issue when hugging the metal fence in the junkyard section fixed
+ Missing polygon and collision on top of the ecobin instance added
+ Floating scenery instances are now back on the ground

• Track Information File

+ MUSIC line removed altogether

• Other

+ Broken Tatooine skybox fixed


UPDATED ON 12/15/2021
---------------------

• World and Collision Files

+ Many weird/over simplified/non planar collisions fixed
+ Crates and barrels in the junkyard area rearranged to reduce invisible walls confusion
+ Junkyard's bridge legs moved away from the raceline, improving the flow and fixing the blind turn in reversed mode
+ Derelict house entrance widened to make oil slick dodging easier

• In-Game Editor

+ Reversed mode star moved to the normal mode star location
+ Added shadowboxes around the digger
+ Fixed shadowboxes near the crashed car
+ Pick-ups placement changed to reward a bit more the players driving through the derelict house


UPDATED ON 01/08/2021
---------------------

• World and Collision Files

+ Minor UV mapping tweaks

• In-Game Editor

+ Missing shadow box behind the bus stop added
+ Small track zone hole filled in normal and reversed mode
+ Reposition issue under the wooden bridge fixed


UPDATED ON 12/24/2020
---------------------

• World and Collision Files

+ Minor shading adjustments to discern geometry better at some places
+ Park section now fully explorable and city boundaries got pushed back
+ Fixed the trees collision to prevent the player from climbing the trunks and see past the end of the map
+ Known collision inconsistencies fixed

• In-Game Editor

+ Each AI opponent now randomly chooses between various routes every lap, making for more exciting and unpredictable solo races
+ Start line drone remade with better geometry and graphics, now with its own custom animation
+ "Wrong Way" sign rotated in reversed mode to face the starting grid. Minor instances adjustments
+ Great majority of reposition zones deleted
+ Sound effects added to bring more life around the track
+ Pickup placement adjusted
+ Replay cameras placement improved
+ AI nodes added to respawn near the falling point at the parking lot sidewalk

• Custom Animations

+ The Red BMW's driver near the supermarket obtained his driver's license and considers the STOP marking on the ground
+ The second car now drives around the city instead of in a straight line

• Track Information File

+ FARCLIP and FOGSTART lines increased to prevent farther buildings to disappear
+ MUSIC line redirected to the level folder
+ CHALLENGE TIMES can be beaten by Semi-Pro cars, in accordance with the track's 'Hard' difficulty

• Other

+ Pickups spawn count increased